
Foreman - Feature #2269

The Foreman should be localizable, with support for po.files ala get text

03/01/2013 05:05 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Foreman should be localizable. Ideally, it would create po files which can be submitted to tools such as transifex or zanata.

Associated revisions

Revision 69be1641 - 03/03/2013 12:52 PM - Bryan Kearney

fixes #2269 - Add gettext framework to foreman.

This patch adds a gettext based localization framework to the Foreman. This is done by adding the fast_gettext and gettext_i18n_rails gems along

with their depdencies. An example translation is done to the login page and the users controller.

Next steps, once this patch is merged, is to begin to internaitonalize new pages and pages which are touched during enhancements. Then, the strings

can be exported to a translation tool such as transifex or zanata.

History

#1 - 03/03/2013 10:50 AM - Ohad Levy

- Category set to Web Interface

- Priority changed from High to Normal

- Target version set to 1.2.0

#2 - 03/03/2013 01:54 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 69be16415a83343a9d399f1e77e22971b6b9cf9e.
